>
Vue新手使用
2023-05-05 11:23
前端
  • 788
  • 527
  • 64
  • 51

Vue新手使用  安装 运行项目 

使用Vue 必须先安装Node.js

下载链接

安装好Node.js 试一下查看是不是安装成功

node -v  //输入命令 检查是否安装成功 。出现版本号则安装成功。


安装淘宝镜像(cnpm)

npm install -g cnpm --registry=https://registry.npm.taobao.org
获取到cnpm以后,我们需要升级一下,输入下面的命令
cnpm install cnpm -g
因为安装Vue需要npm的版本大于3.0.0,所以我们要升级一下,
然后我们输入下面的命令,安装vue
cnpm install vue


安装vue脚手架构建工具

npm install -g vue-cli


npm 命令下载速度缓慢的解决办法

1.首先,查看当前使用的镜像
npm config ls //查看registry设置的源 是否是国内的--registry = "https://registry.npm.taobao.org
2.替换Taobao镜像
npm config set registry https://registry.npm.taobao.org
3.替换后再次查看当前使用的镜像
npm config ls


运行创建好的项目

1.安装依赖。
npm install
2.运行项目
npm run serve (VUE3.x )  npm run dev (VUE 2)
dev是vue cli2的默认执行命令,serve是vue cli4的默认执行命令
vue的版本对使用npm run serve 和 npm run dev 有默认作用
注意具体运行的命令:
查看项目中package.json :
如果打开出现如下内容:运行 npm run serve
"scripts": {
"serve": "vue-cli-service serve",
"build": "vue-cli-service build",
"lint": "vue-cli-service lint"
}
如果打开出现如下内容:运行 npm run dev 
"scripts": {
"dev": "vue-cli-service serve",
"build": "vue-cli-service build",
"lint": "vue-cli-service lint"
}



全部留言 ()
返回
顶部